%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Validate_PL
Summary:	%{_pearname} - Validation class for PL
Summary(pl.UTF-8):	%{_pearname} - Klasa sprawdzająca poprawność dla Polski
Name:		php-pear-%{_pearname}
Version:	0.5.2
Release:	3
License:	New BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	eccc66ffc128a0fb3468480be93458d0
URL:		http://pear.php.net/package/Validate_PL/
BuildRequires:	php-pear-PEAR >= 1:1.6.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.1.0
Requires:	php-pear
Requires:	php-pear-Validate >= 0.5.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Package containes locale validation for PL such as:
- NIP
- Bank Numbers
- PESEL
- REGON

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet do sprawdzania poprawności dla Polski danych takich jak:
- NIP
- numery kont bankowych
- PESEL
- REGON

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Validate/PL.php

%{php_pear_dir}/data/%{_pearname}
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 231a22b
- use php(core) for php engine version deps
- release 2 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> a62c96f
- tests are no longer installed - don't try to remove them

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 28c254b
- updated deps with pearize.sh
- release 2

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> 609f87f
- up to 0.5.2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> c08cce3
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e806446
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4b6393f
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 59f2838
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sat Apr 29 2006 Jakub Bogusz <qboosh@pld-linux.org> bebd187
- pl cosmetic

* Mon Apr 24 2006 Adam Gołębiowski <adamg@pld-linux.org> 7485ba5
- new

